using Terraria.ID;
using Terraria.ModLoader;

namespace armorswords.Items
{
	public class HeadOfTheGrunk : ModItem
	{
		public override void SetStaticDefaults() 
		{
			// DisplayName.SetDefault("HeadOfTheGrunk"); // By default, capitalization in classnames will add spaces to the display name. You can customize the display name here by uncommenting this line.
			Tooltip.SetDefault("The mouth is full of acid... ew.");
		}

		public override void SetDefaults() 
		{
			item.damage = 50;
			item.melee = true;
			item.width = 40;
			item.height = 40;
			item.useTime = 27;
			item.useAnimation = 27;
			item.useStyle = 2;
			item.knockBack = 5;
			item.value = 770;
			item.rare = 3;
			item.UseSound = SoundID.Item1;
			item.autoReuse = true;
			item.shoot = ModContent.ProjectileType<Projectiles.MourningArc>(MourningArc);
		}
	}
}