using Terraria.ID;
using Terraria.ModLoader;

namespace armorswords.Items
{
	public class TheAlmightyUwUSword : ModItem
	{
		public override void SetStaticDefaults() 
		{
			// DisplayName.SetDefault("TheAlmightyUwUSword"); // By default, capitalization in classnames will add spaces to the display name. You can customize the display name here by uncommenting this line.
			Tooltip.SetDefault("*Nuzzles You* UwU. note: THIS IS A JOKE WEAPON");
		}

		public override void SetDefaults() 
		{
			item.damage = 69000000;
			item.melee = true;
			item.width = 400;
			item.height = 400;
			item.useTime = 20;
			item.useAnimation = 20;
			item.useStyle = 1;
			item.knockBack = 69000000;
			item.value = 770;
			item.rare = 5;
			item.UseSound = SoundID.Item1;
			item.autoReuse = false;
		}

		public override void AddRecipes() 
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(ItemID.Ruby, 999);
			recipe.AddIngredient(ItemID.HellstoneBar, 999);
			recipe.AddIngredient(ItemID.Hellstone, 999);
			recipe.AddIngredient(ItemID.Torch, 999);
			recipe.AddTile(TileID.Anvils);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
	}
}